﻿<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:w="http://schemas.microsoft.com/office/word/2003/wordml" 
  xmlns:ns2="http://www.KAP21Beispiel.com/BSP18">
  <xsl:output method="xml" encoding="UTF-8" standalone="yes" />
  <xsl:template match="/">
    <w:wordDocument 
      xmlns:w="http://schemas.microsoft.com/office/word/2003/wordml" 
      xmlns:ns2="http://www.KAP21Beispiel.com/BSP18" 
      xml:space="preserve">
      <w:body>
        <xsl:apply-templates select="ns2:Kontinente" />
      </w:body>
    </w:wordDocument>
  </xsl:template>

  <xsl:template match="/ns2:Kontinente">
    <ns2:Kontinente>
    <w:tbl>
      <w:tblPr>
        <w:tblW w:w="6500" w:type="dxa"/>
        <w:tblBorders>
          <w:top w:val="single" w:sz="4"/><w:left w:val="single" w:sz="4"/>
          <w:bottom w:val="single" w:sz="4"/><w:right w:val="single" w:sz="4"/>
          <w:insideH w:val="single" w:sz="6"/><w:insideV w:val="single" w:sz="6"/>
        </w:tblBorders>
        <w:tblCellMar>
          <w:left w:w="10" w:type="dxa"/><w:right w:w="10" w:type="dxa"/>
        </w:tblCellMar>
      </w:tblPr>
      <w:tblGrid>
        <w:gridCol w:w="2500"/><w:gridCol w:w="4000"/>
      </w:tblGrid>
      <w:tr>
        <w:tc><w:p><w:r><w:t>Kontinent</w:t></w:r></w:p></w:tc>
        <w:tc><w:p><w:r><w:t>Längster Strom</w:t></w:r></w:p></w:tc>
      </w:tr>
      <xsl:apply-templates select="ns2:Kontinent" />
    </w:tbl>
    </ns2:Kontinente>
    <w:p />
  </xsl:template>


  <xsl:template match="/ns2:Kontinente/ns2:Kontinent" >
    <ns2:Kontinent>    
    <w:tr>
      <ns2:Name>
      <w:tc><w:p><w:r><w:t>
        <xsl:apply-templates select="ns2:Name" />
      </w:t></w:r></w:p></w:tc>
      </ns2:Name>
      <ns2:LängsterStrom>
      <w:tc><w:p><w:r><w:t>
        <xsl:apply-templates select="ns2:LängsterStrom" />
      </w:t></w:r></w:p></w:tc>
      </ns2:LängsterStrom>
    </w:tr>
    </ns2:Kontinent>    
  </xsl:template>

  
  <xsl:template match="/ns2:Kontinente/ns2:Kontinent/ns2:Name" >
    <xsl:apply-templates />
  </xsl:template>

  <xsl:template match="/ns2:Kontinente/ns2:Kontinent/ns2:LängsterStrom" >
    <xsl:apply-templates />
  </xsl:template>

</xsl:stylesheet>
